# binarystring.cxx File Reference

`#include "pqxx/compiler-internal.hxx"`
`#include <new>`
`#include <stdexcept>`
`#include "libpq-fe.h"`
`#include "pqxx/binarystring"`

Include dependency graph for binarystring.cxx:

## Functions

string | pqxx::escape_binary (const unsigned char bin[], size_t len)
| Escape binary string for inclusion in SQL.
string | pqxx::escape_binary (const unsigned char bin[])
| Escape binary string for inclusion in SQL.
string | pqxx::escape_binary (const char bin[], size_t len)
| Escape binary string for inclusion in SQL.
string | pqxx::escape_binary (const char bin[])
| Escape binary string for inclusion in SQL.
string | pqxx::escape_binary (const string &bin)